﻿Type=StaticCode
Version=2.2
B4J=true
@EndOfDesignText@
'Static code module
Sub Process_Globals

	Private fx			As JFX
	Public SQL1			As SQL
	Private FilePath	As String
	
End Sub

Public Sub subCreateDBase

	Dim str1 As String
	'Create database under the application Folder
	str1 = File.DirApp
	' Create Database under User Folder in the Database Folder
	'str1 = GetSystemProperty("user.home","")
	If Not(File.IsDirectory(str1, "Database")) Then
		File.MakeDir(str1, "Database")
		FilePath = File.Combine(str1, "Database")
	Else
		FilePath = File.Combine(str1, "dbsStore")		
	End If
	SQL1.InitializeSQLite(FilePath,"dbsStore.db",True)
	' Create Tables for Database - if NOT exist
	subCreateTables
	
End Sub

Private Sub subCreateTables

'	DBUtils.DropTable(SQL1, "tblStore")	
	subCreateTableStore
'	DBUtils.DropTable(SQL1, "Invoice")	
	'CreateInvoice
	
End Sub

'Create 'tblStore'Table
Private Sub subCreateTableStore

	Dim M As Map
	M.Initialize
	M.Put("Store_ID", DBUtils.DB_INTEGER)			'Primary Key
	M.Put("Store_DataAdded",DBUtils.DB_TEXT)		'Date Record was added to Table
	M.Put("Store_DataModified",DBUtils.DB_TEXT)		'Date Record was last modified in Table
	M.Put("Store_CodeSequence", DBUtils.DB_TEXT)	'Sequence of Record		
	M.Put("Store_Name", DBUtils.DB_TEXT)			'Store Name
	M.Put("Store_AddressLine1", DBUtils.DB_TEXT)	'Address Line #1	
	M.Put("Store_AddressLine2", DBUtils.DB_TEXT)	'Address Line #2
	M.Put("Store_City", DBUtils.DB_TEXT)			'City
	M.Put("Store_State", DBUtils.DB_Text)			'State
	M.Put("Store_ZipCode", DBUtils.DB_TEXT)			'Zip Code
	M.Put("Store_PhoneNumber", DBUtils.DB_TEXT)		'Phone Number
	M.Put("Store_FAXNumber", DBUtils.DB_TEXT)		'FAX Number
	M.Put("Store_WebSide", DBUtils.DB_TEXT)			'Web Site
	DBUtils.CreateTable(SQL1, "tblStore", M, "Store_ID")
	
End Sub

Private Sub CreateInvoice

	Dim M As Map	
	M.Initialize
	M.Put("IId", DBUtils.DB_INTEGER)			' + auto inc
	M.Put("AId", DBUtils.DB_INTEGER)			' Foreign Key to Account
	M.Put("Date", DBUtils.DB_TEXT)
	M.Put("Item", DBUtils.DB_TEXT)		
	M.Put("Quantity", DBUtils.DB_INTEGER)
	M.Put("ItemCost", DBUtils.DB_REAL)		
	M.Put("TotalCost", DBUtils.DB_REAL)
	M.Put("Tax", DBUtils.DB_REAL)
	DBUtils.CreateTable(SQL1, "Invoice", M, "IId")
	
End Sub

